%global pypi_name ping3
%global _description\
Ping3 is a pure python3 version of ICMP ping implementation using raw socket.

%{?python_enable_dependency_generator}

Name:           python-%{pypi_name}
Version:        4.0.8
Release:        1%{?dist}
Summary:        Ping3 is a pure python3 version of ICMP ping implementation

License:        MIT
URL:            https://github.com/kyan001/ping3
Source0:        %{pypi_source}
BuildArch:      noarch


%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ping3

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/ping3

%changelog
* Wed Apr 10 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.8-1
- New version 4.0.8

* Fri Apr 05 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.7-1
- New version 4.0.7

* Wed Apr 03 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.6-1
- New version 4.0.6

* Thu Mar 07 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.5-1
- New version 4.0.5

* Fri Jan 06 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.4-1
- New version 4.0.4

* Sat Mar 5 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 4.0.0-1
- New version 4.0.0

* Tue Jan 4 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.2-1
- New version 3.0.2

* Tue Jan 4 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.1-2
- Use shebang macro

* Mon Aug 9 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.1-1
- New version 3.0.1

* Fri Aug 6 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-1
- New version 3.0.0

* Fri Aug 6 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.9.2-1
- New version 2.9.2

* Fri Jul 9 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.8.1-1
- New version 2.8.1

* Sat May 22 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.7.0-1
- Version 2.7.0

* Sat Oct 24 2020 Paweł Marciniak <sunwire+repo@gmail.com> - 2.6.5-2
- Version 2.6.5

